EDIT - feature request #6661

Add initials to Person
05/21/2017 02:15 PM - Andreas Miiller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 4.7

Severity: normal

Description

Usually initials are the first letters of each firstname. However, there are exceptions for East Asian names with 2 letters. Therefore
initials can't be computed so easily from the full first name and we should store them separately.

Open issues:

e wait for answer on mail (Note 6 #6661#note-6 )

Related issues:

Related to EDIT - feature request #4311: Improve person representation in CDM Closed
Related to EDIT - feature request #6711: Make initials editable in TaxEditor Closed
Has duplicate EDIT - feature request #6467: [DISCUSS] Abbreviated first name ... Duplicate
Blocks EDIT - feature request #6662: Adapt person formatting, set initials be... Closed

Associated revisions

Revision 02390953 - 05/21/2017 07:33 PM - Andreas Miiller
fix #6661 add initials to Person

Revision 3989¢417 - 06/06/2017 02:10 AM - Andreas Miiller

ref #6661 some final updates for addInitials to person (length = 80 + handle ' in updatescript)

Revision 5¢3f30b9 - 06/14/2017 10:23 PM - Andreas Miiller

ref #6661 remove brackets from initials updater

History

#1 - 05/21/2017 02:15 PM - Andreas Miiller

- Related to feature request #4311: Improve person representation in COM added

#2 - 05/21/2017 10:10 PM - Andreas Miiller

- Blocks feature request #6662: Adapt person formatting, set initials behind lastname added

#3 - 05/21/2017 10:36 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

#4 - 05/21/2017 10:42 PM - Andreas Miiller
- Has duplicate feature request #6467: [DISCUSS] Abbreviated first name for person added

#5 - 06/13/2017 12:05 PM - Andreas Miiller
- Related to feature request #6711: Make initials editable in TaxEditor added

#6 - 06/14/2017 10:24 PM - Andreas Miiller

Hallo,
https://dev.e-taxonomy.eu/redmine/issues/6661#note-6

Das wichtigste Problem scheinen Klammern zu sein. Hier ein paar Beispiele:

Constantin (Konstantin) Georg Alexander
Franz (Joseph Andreas Nicolaus)

Viktor V. (W.W.)

(Georg Ferdinand) Otto

(Sébastien-) René

Joyce (M.) Chismore Lewin

G.l. (HJ.;GJ.)

Laurentius ('Lars’) Willem

Gehe ich recht in der Annahme, dass in ALLEN diesen Fallen die Klammer grundsétzlich nicht berticksichtigt werden soll. Oder gibt es Falle in den
dies doch der Fall sein sollte. Wenn ja, ist es mdglich, hierfur eine Regel zu definieren?

von/van/zu ...

Ofter kommt es vor, dass im Vornamen das ,von“ des Nachnamens steht (also z.B. ,Eduard August von“Regel“), was da m.E. nicht hingehért.
Mein derzeitiger Algorithmus macht daraus z.B. ,E.A.v.“ fir die Initialien. Ist das so ok? Diese Félle mussten eigentlich im Original geklart werden.
Wenn ich das ,v.“ weglasse bei den Initialien, kdnnte es sein, dass diese Falle spater nicht erkannt werden.

Auch interessant ,Maria das Gragas Machado“ de Souza. Soll das in ,M.d.G.M.“ oder in ,M.G.M" oder ganz anders umgewandelt werden?
Ahnlich bei ,Maria del Carmen““Pérez Baliero“ oder ,Halina w Kowalskich“,Ryppowa"“.

2 weitere eher seltene Fille, die es zu entscheiden gilt

a) Es kommt vor, dass hinter dem Vornamen ein ,,?“ steht. Das kann auch sein, wenn im Vornamen Feld derzeit ebenfalls nur Initials stehen. In
diesem Fall kopiere ich die Information mehr oder weniger nur. Soll ich das Fragezeichen in den Initials Gbernehmen oder weglassen?
z.B. ,H. E.M. ?*“James"

b) Es gibt Falle, in denen versehentlich ein Punkt hinter dem vollen Vornamen steht, z.B. ,Robert. K.". Bisher interpretiert der Algorithmus das als
bereits abgekirzten Namen und &ndert nichts. Es bleibt also bei ,Robert. K.“. Das ist so, um die Falle, in denen die offiziellen Initials l&nger als 1
Buchstabe sein kdnnen (also z.B. die ostasiatischen Namen) nicht falsch zu mappen, wenn bereits Initialien vorliegen.

Allerdings macht es bei 6 Buchstaben tendenziell keinen Sinn. Gibt es eine maximale Anzahl, ab der so ein Fall als Fehler interpretiert werden sollte
und ,Robert.“ zu ,R.“ werden sollte?

#7 - 06/14/2017 10:26 PM - Andreas Miiller

- Description updated

#8 - 06/15/2017 11:55 AM - Andreas Miiller

WGB:

bei allen Optionen muss man ja berticksichtigen, dass dies nur die automatischen Erzeugungen betrifft — man kann ja diese nachtraglich ohne
weiteres korrigieren (wenn ich das richtig verstehe). Daher ware mein Prinzip, die gesamte vorhandene Information mit einzubeziehen — nur bei den
Klammern ist das m.A.n. nicht sinnvoll. Also:

Klammer nicht beriicksichtigen

E.A.v. ist ok

Bei den folgenden gibt’s ein anderes Problem:

Maria das Gragas Machado“ de Souza. Soll das in ,M.d.G.M.“ oder in ,M.G.M*

Machado de Souza kdnnte der Nachname sein (traditioneller Heiratsname von Frauen, in LA noch sehr gebréauchlich). Leider gibt’s aber nattirlich
,de“ auch als Entsprechung von ,von“, und zwar sowohl im Spanischen als auch im Franzdsischen. Kann man das vielleicht als Unsicherheit
Markieren? Eine logische Regel ohne umfassende Lexika gibt's nicht.

Vornamen wie Maria del Carmen wiirde ich aber als M.d.C. abkirzen.

a) Fragezeichen stehen lassen
b) Einfach allse stehen lassen

#9 - 06/15/2017 11:56 AM - Andreas Miiller
AM: vielen Dank fiir die Antwort. Damit ist das alles schon richtig, da ich mir das auch so gedacht habe.

Maria das Gragas Machado““de Souza“

=> das ist dann eher ein Datacleaning Fall, der durch die Nutzer bearbeitet werden muss, wenn Machado zum Nachnamen gehort.

#10 - 06/15/2017 11:57 AM - Andreas Miuller
WHK:

Bestétigung durch Nélida:
Maria del Carmen als M.d.C. abkirzen,
sonst ist eine andere Person gemeint.

Habt ihr an die Bindestriche gedacht?
Wolf-Henning -> W.-H.
Bei Klammern gibt’s drei Falle (die in aller Regel nicht gebraucht werden)

1) Kosenamen ,Lars”
2) Weitere Vornamen, die bekannt sind aber nicht genutzt werden
3) Varianten bei Umschreibung aus anderen Schriftsystemen (z.B. Kyrilisch, asiatische Sprachen)

#11 - 06/15/2017 11:58 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
